<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:ce="http://typo3.org/ns/TYPO3/CMS/FluidStyledContent/ViewHelpers"
      data-namespace-typo3-fluid="true"
>

<div class="o-cms-content" id="c{data.uid}">
    <div class="o-cms-content__body">
        <f:switch expression="{pageUids -> f:count()}">
            <f:case value="1">
                <ul class="o-gridblock o-gridblock--1column">
            </f:case>
            <f:case value="2">
                <ul class="o-gridblock o-gridblock--2columns">
            </f:case>
            <f:case value="3">
                <ul class="o-gridblock o-gridblock--3columns">
            </f:case>
            <f:defaultCase>
                <ul class="o-gridblock o-gridblock--4columns">
            </f:defaultCase> default="4">
        </f:switch>
        <f:for each="{pageUids}" as="page">
            <li>
                <div class="c-teaser   o-media o-media--stacked">
                    <f:switch expression="{page.files.0.type}">
                        <f:case value="4">
                            <f:render section="videoType" arguments="{_all}"/>
                        </f:case>
                        <f:defaultCase>
                            <f:render section="imageType" arguments="{_all}"/>
                        </f:defaultCase>
                    </f:switch>

                    <div class="c-teaser__content   o-media__body">
                        <h3 class="c-teaser__title">
                            <f:link.typolink parameter="{page.data.uid}"
                                         title="{f:if(condition: '{page.data.nav_title}', then: '{page.data.nav_title}', else: '{page.data.title}')}"
                                         class="o-cms-content__header-link">
                                <f:if condition="{page.data.nav_title}">
                                    <f:then>
                                        {page.data.nav_title}
                                    </f:then>
                                    <f:else>
                                        {page.data.title}
                                    </f:else>
                                </f:if>
                            </f:link.typolink>
                        </h3>

                        <p>
                            <f:format.crop maxCharacters="600" respectWordBoundaries="FALSE">
                                {page.data.abstract}
                            </f:format.crop>
                            <br/>
                            <f:link.typolink parameter="{page.data.uid}"
                                         title="{f:if(condition: '{page.data.nav_title}', then: '{page.data.nav_title}', else: '{page.data.title}')}"
                                         class="c-teaser__link">
                                <f:translate
                                    key="LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:read_more"/>
                            </f:link.typolink>
                        </p>
                    </div>
                </div>
            </li>
        </f:for>
        </ul>
    </div>
</div>

<f:section name="imageType">
    <div class="o-media__imageholder">
        <f:link.typolink parameter="{page.data.uid}"
                     title="{f:if(condition: '{page.data.nav_title}', then: '{page.data.nav_title}', else: '{page.data.title}')}">
            <f:render section="media" arguments="{_all}"/>
        </f:link.typolink>
    </div>
</f:section>

<f:section name="videoType">
    <div class="h-embed-grid">
        <f:render section="media" arguments="{_all}"/>
    </div>
</f:section>

<f:section name="media">
    <f:if condition="{page.files.0} != ''">
        <f:then>

                <f:media file="{page.files.0}" class="o-media__img o-media__img--fill" alt="{page.files.0.alternative}"
                         title="{page.files.0.title}" width="659c" height="440c"/>
                <f:render partial="Content/Copyright" arguments="{media: page.files.0}"/>

        </f:then>
        <f:else>
            <f:image src="EXT:drk_template2016/Resources/Public/Images/png/placeholder_660x440.png" class="o-media__img o-media__img--fill"
                     alt="Article placeholder" title="Article placeholder" />
        </f:else>
    </f:if>
</f:section>
</html>
